<?xml version="1.0" encoding="utf-8"?>
<network-security-config>
    <!-- Configuration permissive pour développement -->
    <base-config cleartextTrafficPermitted="true">
        <trust-anchors>
            <!-- Certificats système -->
            <certificates src="system"/>
            <!-- Certificats utilisateur -->
            <certificates src="user"/>
        </trust-anchors>
    </base-config>
    
    <!-- Permettre tout le trafic non-chiffré -->
    <debug-overrides>
        <trust-anchors>
            <certificates src="system"/>
            <certificates src="user"/>
        </trust-anchors>
    </debug-overrides>
    
    <!-- Configuration pour domaines spécifiques -->
    <domain-config cleartextTrafficPermitted="true">
        <domain includeSubdomains="true">localhost</domain>
        <domain includeSubdomains="true">10.0.2.2</domain>
        <domain includeSubdomains="true">192.168.1.1</domain>
        <domain includeSubdomains="true">httpbin.org</domain>
        <!-- Ajoutez votre domaine API ici -->
        <domain includeSubdomains="true">restaurant.careeracademy.mg</domain>
    </domain-config>
</network-security-config>
